<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_ServiceOptionalElements StructType
 * @subpackage Structs
 */
class JP_ServiceOptionalElements extends AbstractStructBase
{
    /**
     * The ServiceOffers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_ServiceOffer
     */
    public $ServiceOffers;
    /**
     * Constructor method for JP_ServiceOptionalElements
     * @uses JP_ServiceOptionalElements::setServiceOffers()
     * @param \ArrayType\ArrayOfJP_ServiceOffer $serviceOffers
     */
    public function __construct(\ArrayType\ArrayOfJP_ServiceOffer $serviceOffers = null)
    {
        $this
            ->setServiceOffers($serviceOffers);
    }
    /**
     * Get ServiceOffers value
     * @return \ArrayType\ArrayOfJP_ServiceOffer|null
     */
    public function getServiceOffers()
    {
        return $this->ServiceOffers;
    }
    /**
     * Set ServiceOffers value
     * @param \ArrayType\ArrayOfJP_ServiceOffer $serviceOffers
     * @return \StructType\JP_ServiceOptionalElements
     */
    public function setServiceOffers(\ArrayType\ArrayOfJP_ServiceOffer $serviceOffers = null)
    {
        $this->ServiceOffers = $serviceOffers;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_ServiceOptionalElements
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
